# CYapfRailSegment Struct Reference

cached segment cost for rail YAPF More...

`#include <yapf_node_rail.hpp>`

## Public Types
typedef CYapfRailSegmentKey | Key
## Public Member Functions
FORCEINLINE | CYapfRailSegment (const CYapfRailSegmentKey &key)
FORCEINLINE const Key & | GetKey () const
FORCEINLINE TileIndex | GetTile () const
FORCEINLINE CYapfRailSegment * | GetHashNext ()
FORCEINLINE void | SetHashNext (CYapfRailSegment *next)
void | Dump (DumpTarget &dmp) const
## Data Fields
CYapfRailSegmentKey | m_key
TileIndex | m_last_tile
Trackdir | m_last_td
int | m_cost
TileIndex | m_last_signal_tile
Trackdir | m_last_signal_td
EndSegmentReasonBits | m_end_segment_reason
CYapfRailSegment * | m_hash_next

## Detailed Description

cached segment cost for rail YAPF

Definition at line 127 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/yapf/yapf_node_rail.hpp